#!/usr/bin/perl -w

# Distribution Checker
# Index Page Module (index.pl)
#
# Copyright (C) 2007-2009 The Linux Foundation. All rights reserved.
#
# This program has been developed by ISP RAS for LF.
# The ptyshell tool is originally written by Jiri Dluhos <jdluhos@suse.cz>
# Copyright (C) 2005-2007 SuSE Linux Products GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# version 2 as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

use Templates;

print "HTTP/1.0 200 OK" . CRLF;
print "Content-type: text/html" . CRLF . CRLF;

print_header("$DC_BRANCH Distribution Checker Main Page", "");

print <<DATA;
<h1>Welcome to $DC_BRANCH Distribution Checker!</h1>
<p>The general workflow is presented below. Please select <a href="tests_cert.pl">Certification Mode</a> or <a href="tests_conf.pl">Custom Tests Mode</a> to get started.</p>
<p><font color="red"><b>Note:</b></font> To run beta-versions of the tests, please, use Custom Tests Mode.</p>
<br />
<map name="workflow_map" id="workflow_map">
  <area href="tests_cert.pl" alt="Certification Mode" title="Certification Mode" shape="rect" coords="11,19,192,57" />
  <area href="tests_conf.pl" alt="Custom Tests Mode" title="Custom Tests Mode" shape="rect" coords="11,91,192,129" />
  <area href="tests_exec.pl" alt="Execution Status" title="Execution Status" shape="rect" coords="257,64,333,102" />
  <area href="tests_results.pl" alt="Results" title="Results" shape="rect" coords="397,64,457,102" />
  <area href="http://wiki.linuxfoundation.org/en/Certification" target="_blank" alt="$DC_BRANCH Certification Page" title="LSB Certification Page" shape="rect" coords="628,11,718,151" />
</map>
<img src="images/workflow.png" width="719" height="239" alt="Workflow" usemap="#workflow_map" />
DATA

print_footer();
