#!/usr/bin/perl -w

# Distribution Checker
# About Page Module (tests_about.pl)
#
# Copyright (C) 2007-2009 The Linux Foundation. All rights reserved.
#
# This program has been developed by ISP RAS for LF.
# The ptyshell tool is originally written by Jiri Dluhos <jdluhos@suse.cz>
# Copyright (C) 2005-2007 SuSE Linux Products GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# version 2 as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

use Templates;

print "HTTP/1.0 200 OK" . CRLF;
print "Content-type: text/html" . CRLF . CRLF;

print_header("About $DC_BRANCH Distribution Checker", "about");

print <<DATA;
<div style="width: 54em;">
<h1>$DC_BRANCH Distribution Checker</h1>
<p><b>Version $DC_VERSION</b></p>
<p>Copyright &copy; 2007&ndash;2009 <a href="http://linuxfoundation.org/" target="_blank">The Linux Foundation</a>. All rights reserved.</p>
<p>Note: this product uses the ptyshell tool which was originally written by Jiri Dluhos and copyrighted by SuSE Linux Products GmbH.</p>

<h2>Product Support</h2>
<p>Should you have any questions, comments or feature requests, please contact the <a href="mailto:lsb-dtk-support\@linuxbase.org">Distribution Checker support team</a>. You can also use the project <a href="http://ispras.linuxbase.org/index.php/About_Distribution_Checker" target="_blank">home page</a> for more information about the $DC_BRANCH Distribution Checker.</p>

<h2>License</h2>
<p>This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.</p>

<p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.</p>

<p>You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.</p>
</div>
DATA

print_footer();

